Skip to main content
GET
/
stats
/
historical
Get historical metrics data
curl --request GET \
  --url https://api.livesuite.app/stats/historical \
  --header 'x-api-key: <api-key>'
{
  "success": true,
  "data": [
    {
      "totalViewers": 123,
      "liveStreamers": 123,
      "avgSessionDuration": 123,
      "timestamp": "2023-11-07T05:31:56Z"
    }
  ],
  "meta": {
    "hours": 123,
    "count": 123,
    "startTime": "<string>",
    "endTime": "<string>"
  }
}

Authorizations

x-api-key
string
header
required

API key for API authentication

Query Parameters

hours
integer
default:24

Number of hours to look back for metrics

limit
integer
default:100

Maximum number of metrics snapshots to return

Required range: x <= 1000
chain
enum<string>
default:solana

Blockchain chain (solana for PumpFun, base for Zora/Retake, all for aggregated data from all)

Available options:
solana,
base,
all
platform
enum<string>
default:pumpfun

Platform (pumpfun for Solana, zora/retake for Base, all for aggregated data from all)

Available options:
pumpfun,
zora,
retake,
all

Response

Historical metrics data

success
boolean
data
object[]
meta
object